Get Rate
curl --request GET \
--url https://api.blockradar.co/v1/rates/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/rates/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/rates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"createdAt": "2026-02-19T07:50:17.042Z",
"createdBy": "86964e42-79dc-4267-a2ca-3612c4b095a8",
"deactivatedAt": null,
"deactivatedBy": null,
"deactivationReason": null,
"fromAsset": "BNB",
"id": "d69078ef-2467-40f4-bb00-63394efe32c0",
"isActive": true,
"maxAmount": null,
"minAmount": "0.000005",
"network": "testnet",
"previousRateId": null,
"rate": "1",
"rootRateId": "d69078ef-2467-40f4-bb00-63394efe32c0",
"status": "active",
"toAsset": "USDC",
"version": 1
},
"message": "Rate retrieved successfully",
"statusCode": 200
}Get Rate
Retrieves a single rate by its unique identifier.
Use this endpoint to fetch the current details of a previously-created rate (for an asset pair), including the configured exchange rate and constraints.
Endpoint
GET https://api.blockradar.co/v1/rates/:id
Path Parameters
| Key | Required | Type | Description |
|---|---|---|---|
| id | true | string | The unique identifier of the rate to retrieve. |
GET
/
v1
/
rates
/
{id}
Get Rate
⌘I

